curl --request GET \
--url https://api.jtl-cloud.com/erp/invoices \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/invoices"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"TotalItems": 123,
"PageNumber": 123,
"PageSize": 123,
"Items": [
{
"Id": 123,
"Number": "A1004465",
"ExternalNumber": "D456-64894-132",
"CompanyId": 123,
"DepartureCountry": {
"CountryISO": "DE",
"State": "Berlin",
"CurrencyIso": "TODO",
"CurrencyFactor": 1.37
},
"CustomerId": 123,
"BillingAddress": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"ShipmentAddress": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"InvoiceDate": "2023-02-01T12:45:00.0000000+00:00",
"InvoicePaymentDetails": {
"PaymentMethodId": 123,
"PaymentStatus": 0,
"TotalGrossAmount": 19.99,
"CurrencyIso": "TODO",
"CurrencyFactor": 1.37,
"StillToPay": 0,
"PaymentTarget": 0,
"CashDiscount": 5,
"CashDiscountDays": 2,
"StopPaymentRequest": false,
"DunningLevel": 0,
"NextDueDate": "2023-02-01T12:45:00.0000000+00:00"
},
"ColorcodeId": 123,
"DunningBlock": false,
"IsExternalInvoice": false,
"Comment": "an additional order comment",
"CustomerComment": "an additional customer comment",
"IsCancelled": false,
"LanguageIso": "DE",
"CancellationDetails": {
"CancellationReasonId": 123,
"CancellationComment": "Change of mind (once again); we should consider terminating the customer relationship",
"Date": "2023-02-01T12:45:00.0000000+00:00"
}
}
],
"TotalPages": 123,
"HasPreviousPage": true,
"HasNextPage": true,
"NextPageNumber": 123,
"PreviousPageNumber": 123
}Query Invoices
Query all Invoices
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Query Parameters
Search for a specific sales order number.
Search for a specific external order number.
Search for a specific invoice number.
Search for a specific payment status. 0 = UnPayed, 1 = PartialPayed, 2 = Payed
0, 1, 2 Search only for external invoices
Number of the page of items to fetch.
Size of the page that is specified by pageNumber.
Response
Returns all non-pending sales orders.
Represents a paginated list of items
Gets or sets the total number of items available in the data source.
Gets or sets the current page number in the paginated list.
Gets or sets the number of items per page in the paginated list.
Gets or sets the collection of items contained in the paged list.
Show child attributes
Show child attributes
Gets the total number of pages based on the total number of items and the page size.
Gets a value indicating whether there is a previous page available in the paginated list.
Gets a value indicating whether there is a next page available.
Gets the number of the next page if there is one; otherwise, returns the total number of pages.
Gets the number of the previous page. If there is no previous page, it returns 1.
Was this page helpful?